import { Rule } from "@siteimprove/alfa-act";
import { Element } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import { Page } from "@siteimprove/alfa-web";
import { Question } from "../common/act/index.js";
/**
 * This rule always asks whether the image accessible name is descriptive. This
 * is not a nice experience for the end user and shouldn't be used until
 * backend can automatically determine the answer.
 */
declare const _default: Rule.Atomic<Page, Element<string>, Question.Metadata, Element<string>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const ImageAccessibleNameIsDescriptive: (accName: string) => Ok<import("@siteimprove/alfa-act").Diagnostic>;
    const ImageAccessibleNameIsNotDescriptive: (accName: string) => Err<import("@siteimprove/alfa-act").Diagnostic>;
}
//# sourceMappingURL=rule.d.ts.map